Package ru.yandex.clickhouse

## Class BodyEntityWrapper

- java.lang.Object
- - org.apache.http.entity.AbstractHttpEntity
  - - ru.yandex.clickhouse.BodyEntityWrapper

All Implemented Interfaces:
  `org.apache.http.HttpEntity`

    public class BodyEntityWrapper
    extends org.apache.http.entity.AbstractHttpEntity

Allow to inject sql query in the body, followed by row data

### Field Summary

### Fields inherited from class org.apache.http.entity.AbstractHttpEntity

`chunked, contentEncoding, contentType, OUTPUT_BUFFER_SIZE`

### Constructor Summary

Constructors
`BodyEntityWrapper​(String sql, org.apache.http.HttpEntity content)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `getContent()`
`long` `getContentLength()`
`boolean` `isRepeatable()`
`boolean` `isStreaming()`
`void` `writeTo​(OutputStream outstream)`

### Methods inherited from class org.apache.http.entity.AbstractHttpEntity

`consumeContent, getContentEncoding, getContentType, isChunked, setChunked, setContentEncoding, setContentEncoding, setContentType, setContentType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BodyEntityWrapper

    public BodyEntityWrapper​(String sql,
                             org.apache.http.HttpEntity content)

### Method Detail

#### isRepeatable

    public boolean isRepeatable()

#### getContentLength

    public long getContentLength()

#### getContent

    public InputStream getContent()
                           throws IOException,
                                  UnsupportedOperationException

Throws:
  `IOException`
  `UnsupportedOperationException`

#### writeTo

    public void writeTo​(OutputStream outstream)
                 throws IOException

Throws:
  `IOException`

#### isStreaming

    public boolean isStreaming()